<template>
  <div>
    <el-button-group>
      <el-button class="order-btn light-blue" @click="$emit('request', -1)">
        <font-awesome-icon icon="shopping-basket" /> <strong>-1</strong>
      </el-button>
      <el-button class="order-btn light-blue" @click="$emit('request', 1)">
        <font-awesome-icon icon="shopping-basket"/> <strong>+1</strong>
      </el-button>
    </el-button-group>
    <el-button-group>
      <el-button class="order-btn tiffany" @click="$emit('bonified', -1)">
        <font-awesome-icon icon="exchange-alt" /> <strong>-1</strong>
      </el-button>
      <el-button class="order-btn tiffany" @click="$emit('bonified', 1)">
        <font-awesome-icon icon="exchange-alt" /> <strong>+1</strong>
      </el-button>
    </el-button-group>
  </div>
</template>

<script>
  export default {
    name: 'app-order-buttons'
  }
</script>


<style lang="scss">
  .order-btn {
    font-family: monospace;
  }

</style>
